# Analysis of all faces from selfie image

`POST /omni/frame-analysis/analyze` · [developer.incode.com ↗](https://developer.incode.com/reference/introduction)

> Analysis of all faces from selfie image

Authenticate users by comparing base64 image from request and user's existing face templates. Each face from the image is analyzed, and relevant attributes are extracted. In case of failure, error description is returned.

## Authentication

| Header | Required | Notes |
|---|---|---|
| `x-api-key` | yes | API key for the region/environment. |
| `api-version` | yes | API version, defaults to `1.0`. |

**Category:** Frame analysis

## Sources

- Public reference: <https://developer.incode.com/reference/introduction>
- Reconstructed from the Incode Omni OpenAPI spec (operation `authenticate`); see the Implementation pane for source & tests.

